This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 12 replies, has 2 voices.

Last updated by Bruno 4 months, 3 weeks ago.

Assigned support staff: Bruno.

Author Posts
May 22, 2019 at 6:37 pm #3868623

mauricioC-4

Tell us what you are trying to do?

I made the site migration to another server and I am trying to install the plugin.

What is the link to your site?
hidden link

May 22, 2019 at 8:00 pm #3868931

Bruno
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Sao_Paulo (GMT-03:00)

Thank you for contacting us. I would be very happy to help you but I didn't fully understand what is the issue.

These messages are only displayed to warn that these plugins are enabled but will not work without WPML. In order for these messages to disappear, you only need to enable WPML.

If this is not what you are asking, can you please elaborate a little more so I can better understand? Sometimes screenshots illustrating what you mean may go a long way to clarify what words fail to transmit so if you like make use of "upload an image" below the comment area.

Thank you.

May 22, 2019 at 8:22 pm #3868981

mauricioC-4

Can not enable WPML. It is not possible to activate the plugin.

May 22, 2019 at 8:25 pm #3868991

Bruno
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Sao_Paulo (GMT-03:00)

What happens when you try to activate the plugin? Are any error messages displayed?

As a test, please could you disable all plugins and try to enable only WPML to see if it will be activated?

May 22, 2019 at 8:34 pm #3869131

mauricioC-4

Before, there was no message, just did not install. Now this message has appeared (see image).

May 22, 2019 at 8:38 pm #3869181

Bruno
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Sao_Paulo (GMT-03:00)

By the error message the problem is the memory limit. The WPML requires at least 128MB: https://wpml.org/home/minimum-requirements/

Note that WPML needs a minimum WP Memory limit of 128M to work only under a minimal environment, it means, with a default theme and not other plugins installed.

Please, could you increase the memory limit for WordPress? To do it, please open the wp-config.php file in the root of your WordPress installation and after the opening PHP tag, add these lines:

define( 'WP_MEMORY_LIMIT', '256M' );
define( 'WP_MAX_MEMORY_LIMIT', '256M' );

E.g.:

<?php

define( 'WP_MEMORY_LIMIT', '256M' );
define( 'WP_MAX_MEMORY_LIMIT', '256M' );

Then save the file and using your FTP client, upload wp-config.php to your server.

May 22, 2019 at 9:12 pm #3869271

mauricioC-4

I activated it one by one until I succeeded, but it is still giving this message (image). Even though you have already installed all the required plugins (image).

May 22, 2019 at 9:14 pm #3869331

Bruno
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Sao_Paulo (GMT-03:00)

The WPML All Import plugin works only if WP All Import is installed and activated (https://wordpress.org/plugins/wp-all-import/).

If you are not going to use the WP All Import plugin then you can disable WPML All Import because this plugin should not be necessary.

Thank you.

May 22, 2019 at 9:51 pm #3869531

mauricioC-4

But it is already installed, look at the image I sent you. Even so, this message appears.

May 22, 2019 at 9:55 pm #3869533

Bruno
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Sao_Paulo (GMT-03:00)

The WPML All Import is just a bridge to WP All Import.

What you have activated is WPML All Import. This plugin does not work if you are not using WP All Import. In the image, you can see that WP All Import is not installed.

Again, if you are not going to use WP All Import then you can disable WPML All Import.

Thank you.

May 22, 2019 at 10:03 pm #3869593

mauricioC-4

Okay. I get it now. Thank you.

May 22, 2019 at 10:04 pm #3869599

mauricioC-4

My issue is resolved now. Thank you!

May 22, 2019 at 10:04 pm #3869601

Bruno
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Sao_Paulo (GMT-03:00)

Glad to hear that it now works. Please, let me know if I can help with any other questions you may have about it. I'll be happy to help.

Thank you.